Subject: Re: [MIB-DOCTORS] Fwd: Re: [Errata Verified] RFC7630 (4509)

From: Johannes Merkle <[email-masked]>
Date: Tue, 20 Oct 2015 13:16:13 +0200

I'm adding the MIB doctors to the recipients as these may be the right ones to give an answer to my questions.

When a new RFC is published correcting the MIB, isn't that a new revision, so that the initial revision (from RFC 7630)
should also be listed?

And shouldn't the description field of the new revision describe the changes and reason for the change, e.g. "Correction
of MODULE-IDENTITY value"?

regards,
Johannes

Benoit Claise schrieb am 20.10.2015 um 11:25:
> Hi Johannes,
> 
> Please prepare the next draft version with the change below, send it via email to IESG Secretary
> <[email-masked]> and cc Joel/me, and mention that I approve posting this document after the deadline.
> 
> Joel and I will take it from there.
> 
> Regards, Benoit
> 
> 
> -------- Forwarded Message --------
> Subject: 	Re: [Errata Verified] RFC7630 (4509)
> Date: 	Tue, 20 Oct 2015 11:23:21 +0200
> From: 	Benoit Claise <[email-masked]>
> To: 	RFC Errata System <[email-masked]>, [email-masked], [email-masked]
> CC: 	[email-masked]
> 
> 
> 
> Dear all,
> 
> The facts:
> - The MIB doctors advised not to publish MIB modules under snmpModules any longer. IANA updated the registry
> information. See http://www.iana.org/assignments/smi-numbers/smi-numbers.xhtml#smi-numbers-61
> - RFC 7360 is published with a mistake. The MIB module should have been published under mib-2.235 (as advised by the MIB
> doctors) but the document mentions: snmpModules.235
> - The IANA registry is actually correct. snmpUsmHmacSha2MIB is under mib-2.235
> See http://www.iana.org/assignments/smi-numbers/smi-numbers.xhtml
> - Solving this issue with an errata doesn't work: indeed MIB modules are extracted from RFC, and used within scripts.
> 
> Discussing with Michelle (IANA) and the IESG, we had no other choices than obsoleting this RFC and re-issuing a new one.
> Hence this errata and draft-ietf-opsawg-hmac-sha-2-usm-snmp-new-00.
> <http://datatracker.ietf.org/doc/draft-ietf-opsawg-hmac-sha-2-usm-snmp-new/>
> 
> One change to keep in mind for the next version:
> OLD:
> 
>        REVISION    "201508130000Z"       -- 13 August 2015, midnight
>        DESCRIPTION "Initial version, published as RFC 7630 <https://tools.ietf.org/html/rfc7630>"
>    ::= { snmpModules 235 }
> 
> NEW:
> 
>        REVISION     ... new date
>        DESCRIPTION "Initial version, published as RFC xxxx <https://tools.ietf.org/html/rfc7630>"
>    ::= { mib-2 235 }
> 
> The way forward is to publish a new draft ASAP with the above correction, to have a one week IETF LC, and to publish the
> new RFC. At that point (and not before because we don't have a replacement RFC), we will obsolete RFC 7360.
> 
> Regards, Benoit
>> The following errata report has been verified for RFC7630,
>> "HMAC-SHA-2 Authentication Protocols in the User-based Security Model (USM) for SNMPv3". 
>>
>> --------------------------------------
>> You may review the report below and at:
>> http://www.rfc-editor.org/errata_search.php?rfc=7630&eid=4509
>>
>> --------------------------------------
>> Status: Verified
>> Type: Technical
>>
>> Reported by: Johannes Merkle <[email-masked]>
>> Date Reported: 2015-10-20
>> Verified by: Benoit Claise (IESG)
>>
>> Section: 8 and 10
>>
>> Original Text
>> -------------
>> snmpModules 235
>>
>> Corrected Text
>> --------------
>> mib-2 235
>>
>> Notes
>> -----
>> IANA registered snmpUsmHmacSha2MIB under mib-2.235 (as advised by the MIB doctors), but the document mentions snmpModules.235 
>>
>> --------------------------------------
>> RFC7630 (draft-ietf-opsawg-hmac-sha-2-usm-snmp-06)
>> --------------------------------------
>> Title               : HMAC-SHA-2 Authentication Protocols in the User-based Security Model (USM) for SNMPv3
>> Publication Date    : October 2015
>> Author(s)           : J. Merkle, Ed., M. Lochter
>> Category            : PROPOSED STANDARD
>> Source              : Operations and Management Area Working Group
>> Area                : Operations and Management
>> Stream              : IETF
>> Verifying Party     : IESG
>> .
>>
> 
> 
> 

-- 
Mit freundlichen Grüßen,
Dr. Johannes Merkle
Principal
Division Innere Sicherheit
secunet Security Networks AG
Mergenthaler Allee 77
65760 Eschborn
Germany
Telefon +49 201 54 54-3091
Telefax +49 201 54 54-1325
Mobil   +49 175 2224439
[email-masked]
www.secunet.com

---

From: Johannes Merkle <[email-masked]>
Date: Tue, 20 Oct 2015 13:19:28 +0200

so my guess is that it should look like this

SNMP-USM-HMAC-SHA2-MIB DEFINITIONS ::= BEGIN
    IMPORTS
        MODULE-IDENTITY, OBJECT-IDENTITY,
    snmpModules             FROM SNMPv2-SMI          -- [RFC2578]
    snmpAuthProtocols       FROM SNMP-FRAMEWORK-MIB; -- [RFC3411]

snmpUsmHmacSha2MIB MODULE-IDENTITY
    LAST-UPDATED    "201510200000Z"       -- 20 October 2015, midnight
    ORGANIZATION    "SNMPv3 Working Group"
    CONTACT-INFO    "WG email: [email-masked]
                    Subscribe:
                        https://www.ietf.org/mailman/listinfo/opsawg
                    Editor:    Johannes Merkle
                               secunet Security Networks
                    Postal:    Mergenthaler Allee 77
                               D-65760 Eschborn
                               Germany
                    Phone:     +49 20154543091
                    Email:     [email-masked]

                    Co-Editor: Manfred Lochter
                               Bundesamt fuer Sicherheit in der
                               Informationstechnik (BSI)
                    Postal:    Postfach 200363
                               D-53133 Bonn
                               Germany
                    Phone:     +49 228 9582 5643
                    Email:     [email-masked]"

    DESCRIPTION     "Definitions of Object Identities needed
                    for the use of HMAC-SHA2 by SNMP's User-based
                    Security Model.

          Copyright (c) 2015 IETF Trust and the persons identified
          as authors of the code.  All rights reserved.

          Redistribution and use in source and binary forms, with
          or without modification, is permitted pursuant to, and
          subject to the license terms contained in, the Simplified
          BSD License set forth in Section 4.c of the IETF Trust's
          Legal Provisions Relating to IETF Documents
          (http://trustee.ietf.org/license-info)."

       REVISION    "201510200000Z"       -- 20 October 2015, midnight
       DESCRIPTION "Version correcting  MODULE-IDENTITY value, published as RFC TBD"
       -- RFC Ed.: replace TBD with actual RFC number & remove this line
       REVISION    "201508130000Z"       -- 13 August 2015, midnight
       DESCRIPTION "Initial version, published as RFC 7630"
	
	::= { mib-2 235 }

Johannes

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Tue, 20 Oct 2015 17:47:52 +0200

You likely want to import mib-2 instead of snmpModules.

/js

On Tue, Oct 20, 2015 at 01:19:28PM +0200, Johannes Merkle wrote:
> _______________________________________________
> MIB-DOCTORS mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mib-doctors

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1 | 28759 Bremen | Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>

---

From: Johannes Merkle <[email-masked]>
Date: Wed, 21 Oct 2015 10:26:33 +0200

ah, thanks for pointing that out.

But what is your advice w.r.t the revision? Is it a new revision of the MIB?

Johannes

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Wed, 21 Oct 2015 11:22:41 +0200

> But what is your advice w.r.t the revision? Is it a new revision of the MIB?

I think this is a new revision since the initial version was
'published'.

/js